Summary: Finds files on a system via a central database.
Name: slocate
Version: 2.7
Release: 12
Copyright: GPL
Group: Applications/File
Source: ftp://ftp.geekreview.org/slocate/slocate-%{version}.tar.gz
Source1: slocate.cron
Source2: updatedb.conf
Patch0: slocate-2.5-info.patch
Patch1: slocate-wht.patch
Patch2: slocate-2.5-segfault.patch
Patch3: slocate-2.6-manpage.patch
#Patch4: slocate-2.6-segfault.patch
Patch5: slocate-2.6-uchar.patch
Patch6: slocate-2.6-can-2003-0848.patch
Patch7: slocate-2.7-fts.patch
Prereq: shadow-utils
Buildroot: %{_tmppath}/%{name}-root

%description
Slocate is a security-enhanced version of locate. Just like locate,
slocate searches through a central database (which is updated nightly)
for files which match a given pattern. Slocate allows you to quickly
find files anywhere on your system.

%prep
%setup -q
%patch0 -p1 -b .info
%patch1 -p1 -b .wht
%patch2 -p1 -b .segv
#%patch4 -p1 -b .segv2
%patch5 -p1 -b .uchar
%patch6 -p1 -b .dropit
%patch7 -p1 -b .fts
# *sigh*
gunzip doc/*.gz
%patch3 -p1 -b .manpage

%build
autoreconf -f -i
CFLAGS="$RPM_OPT_FLAGS -fsigned-char -D_GNU_SOURCE=1 -D_FILE_OFFSET_BITS=64" %configure
make

%install
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT/etc/cron.daily
mkdir -p $RPM_BUILD_ROOT/var/lib/slocate
install slocate $RPM_BUILD_ROOT/usr/bin
ln -sf slocate $RPM_BUILD_ROOT/usr/bin/locate
install doc/slocate.1.linux $RPM_BUILD_ROOT%{_mandir}/man1/slocate.1
install doc/updatedb.1 $RPM_BUILD_ROOT%{_mandir}/man1
ln -sf slocate.1 $RPM_BUILD_ROOT%{_mandir}/man1/locate.1
install %{SOURCE1} $RPM_BUILD_ROOT/etc/cron.daily
ln -sf slocate $RPM_BUILD_ROOT/usr/bin/updatedb

install %{SOURCE2} $RPM_BUILD_ROOT/etc/

%clean
rm -rf $RPM_BUILD_ROOT

%pre
/usr/sbin/groupadd -g 21 -r -f slocate

%preun
if [ "$1" = "0" ]; then 
  /usr/sbin/groupdel slocate
  rm -f /var/lib/slocate/slocate.db
fi


%files
%defattr(-,root,root)
%doc ChangeLog INSTALL README LICENSE MIRRORS
%attr(2755,root,slocate) /usr/bin/slocate
%attr(-,root,slocate) /usr/bin/locate
%attr(-,root,slocate) /usr/bin/updatedb
%attr(644,root,root) %{_mandir}/man1/*
%attr(755,root,root) /etc/cron.daily/slocate.cron
%attr(644,root,root) %config /etc/updatedb.conf
%dir %attr(750,root,slocate) /var/lib/slocate

%changelog
* Wed Oct 20 2004 Thomas Woerner <twoerner@redhat.com> 2.7-12
- added /mnt/floppy to PRUNEPATHS

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri May 21 2004 Bill Nottingham <notting@redhat.com> 2.7-10
- exclude cifs (#122499)

* Fri Apr 16 2004 Karsten Hopp <karsten@redhat.de> 2.7-9 
- exlude usbdevfs (#113816)

* Mon Mar 29 2004 Karsten Hopp <karsten@redhat.de> 2.7-8 
- use included sl_fts.h, fix handling of large files (#105950)
- use one single file to configure updatedb (#112964)

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Feb 2 2004 Dan Walsh <dwalsh@redhat.com> 
- Eliminate selinux file systems reads

* Wed Jan 21 2004 Mark Cox <mjc@redhat.com>
- drop privs for non slocate gid databases (CAN-2003-0848)
- update to 2.7

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Apr  3 2003 Bill Nottingham <notting@redhat.com> 2.6-9
- initial fix for machines with unsigned char (#86257)

* Wed Feb 19 2003 Bill Nottingham <notting@redhat.com> 2.6-8
- add sfs to excludes in updatedb.conf (#54864)

* Fri Jan 24 2003 Bill Nottingham <notting@redhat.com> 2.6-7
- fix another segfault

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Dec 11 2002 Tim Powers <timp@redhat.com> 2.6-5
- rebuild on all arches

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon Jun 11 2001 Bill Nottingham <notting@redhat.com>
- update to 2.6
- fix spelling, etc. in man page (#43251)

* Mon Feb 26 2001 Bill Nottingham <notting@redhat.com>
- fix another segfault (#29186)
- put the -info patch back in 

* Wed Feb 14 2001 Bill Nottingham <notting@redhat.com>
- fix doubly gzipped manpage (#27632)

* Tue Feb 06 2001 Karsten Hopp <karsten@redhat.de>
- fix bugzilla #26316 (updatedb segfault with large mtab)

* Wed Jan 31 2001 Bill Nottingham <notting@redhat.com>
- add renice to cron process (#16317)
- fix slocate-2.5-info.patch (#24519)

* Fri Jan  6 2001 Bill Nottingham <notting@redhat.com>
- update to 2.5

* Mon Dec 18 2000 Bill Nottingham <notting@redhat.com>
- update to the mysterious 2.4 release

* Mon Nov 27 2000 Bill Nottingham <notting@redhat.com>
- update to 2.3; fixes database reading problem

* Wed Aug 23 2000 Than Ngo <than@redhat.com>
- add a default updatedb.conf (Bug #13475)

* Wed Aug 23 2000 Jakub Jelinek <jakub@redhat.com>
- fix build with glibc defining DT_WHT but not defining S_IFWHT.

* Sun Jul 23 2000 Nalin Dahyabhai <nalin@redhat.com>
- don't print a message telling how to rebuild the database if we're
  rebuilding the database

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu Jun 22 2000 Bill Nottingham <notting@redhat.com>
- update to 2.2
- fix it to not have debugging (oops)

* Sat Jun 10 2000 Bill Nottingham <notting@redhat.com>
- rebuild, FHS manpages, etc.

* Sun Mar 26 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- simplify preun

* Fri Mar 17 2000 Bill Nottingham <notting@redhat.com>
- fix a segfault

* Thu Feb  3 2000 Bill Nottingham <notting@redhat.com>
- handle compressed man pages

* Tue Oct 21 1999 Bill Nottingham <notting@redhat.com>
- update to 2.1

* Mon Oct 18 1999 Bill Nottingham <notting@redhat.com>
- fix a bug that was causing segfaults.

* Mon Sep 20 1999 Bill Nottingham <notting@redhat.com>
- remove group database on final uninstall

* Fri Sep 10 1999 Bill Nottingham <notting@redhat.com>
- add a note about creating the database if opening of it fails.

* Tue Jul  6 1999 Bill Nottingham <notting@redhat.com>
- update to 2.0
- use new -f (filesystem type) option to simplify cron script
- link updatedb back to slocate to allow parsing of updatedb.conf
  config files

* Mon Jun 14 1999 Bill Nottingham <notting@redhat.com>
- don't exclude VFAT partitions
- add some docs

* Tue Jun  1 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.6.
- use /etc/cron.daily as /usr/bin/updatedb to more perfectly imitate the
  findutils updatedb.
- exclude vfat partitions too (#3164).

* Tue May 11 1999 Bill Nottingham <notting@redhat.com>
- update to 1.5
- make database dir 0750

* Mon Apr 19 1999 Bill Nottingham <notting@redhat.com>
- fix updatedb cron script

* Mon Apr 12 1999 Bill Nottingham <notting@redhat.com>
- add updatedb as a link to slocate
- add an updatedb man page

* Fri Mar 26 1999 Michael Maher <mike@redhat.com>
- added man page

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Mon Feb 15 1999 Bill Nottingham <notting@redhat.com>
- %post groupadd changed to %pre 
